--******************************************************************
-- Single Step Client Side mission script 
--
--                                                    
--******************************************************************

nEnemyKillCount = 0

--////////////////////////////////////////////////////////////////////////////////

function Lord_Died( nWhoDied )

	if nWhoDied == 0 then
		return
	else
		nEnemyKillCount = nEnemyKillCount + 1
		if nEnemyKillCount == 5 then
			DisplayKillMsg( )
		elseif nEnemyKillCount == 10 then
			DisplayKillMsg( )
		elseif nEnemyKillCount == 15 then
			DisplayKillMsg( )
		elseif nEnemyKillCount == 20 then
			DisplayKillMsg( )
		elseif nEnemyKillCount == 25 then
			DisplayKillMsgSpc( )
		end
	end
end

function Player_Died( nWhoDied )
	
end

function Enemy_Died( nWhoDied )
	
end


function DisplayKillMsg( )
	UTIL.ShowHudMsg( "                            You have eliminated "..nEnemyKillCount.." enemies." )
	UTIL.CreateCallback( 3.0, "TurnOffHUDMsg" )
end


function DisplayKillMsgSpc( )
	UTIL.ShowHudMsg( "                     25 enemies have been eliminated. Only 5 more to go." )
	UTIL.CreateCallback( 3.0, "TurnOffHUDMsg" )
end

function TurnOffHUDMsg( )
	UTIL.HideHudMsg( )
end


function Level_Started( )
	nEnemyKillCount = 0
end